	function checkStrSelectDate(inputForm, NameYear,NameMonth,NameDay){

		var year = inputForm[NameYear].options[inputForm[NameYear].selectedIndex].value;
		var month = inputForm[NameMonth].options[inputForm[NameMonth].selectedIndex].value;
		var day = inputForm[NameDay].options[inputForm[NameDay].selectedIndex].value;
		
		var maxDay = 30;
		if (month == 2){
			if (((year % 4 == 0) && (year % 100 != 0)) || (year % 400 == 0)){
				maxDay = 29;
			}else{
				maxDay = 28;
			}
		}
		
		if ((month == 1)||(month == 3)||(month == 5)||(month == 7)||(month == 8)||(month == 10)||(month == 12)){
			maxDay = 31;
		}

		inputForm[NameDay].options[30] = null;	
		inputForm[NameDay].options[29] = null;	
		inputForm[NameDay].options[28] = null;	

		if (maxDay == 29){
			inputForm[NameDay].options[28] = new Option("29");
			inputForm[NameDay].options[28].value = ("29");
		}

		if(maxDay == 30){
			inputForm[NameDay].options[28] = new Option("29");
			inputForm[NameDay].options[28].value = ("29");
			inputForm[NameDay].options[29] = new Option("30");
			inputForm[NameDay].options[29].value = ("30");
		}

		if(maxDay == 31){
			inputForm[NameDay].options[28] = new Option("29");
			inputForm[NameDay].options[28].value = ("29");
			inputForm[NameDay].options[29] = new Option("30");
			inputForm[NameDay].options[29].value = ("30");
			inputForm[NameDay].options[30] = new Option("31");
			inputForm[NameDay].options[30].value = ("31");
		}
		day=day-1;
		maxDay=maxDay-1;
		if (day > maxDay){
			day = maxDay ;
		}
		inputForm[NameDay].selectedIndex = day;
	}
	//调入输入验证的函数
	function checkAllForm(fieldArray1,typeArray1,alertArray1)
	{
	var i=fieldArray1.length;
	for(var loop_index=0;loop_index<i;loop_index++)
	{
	switch(typeArray1[loop_index])
	  {
		case "field":
		  if(fieldArray1[loop_index].value==""){
		     alert(alertArray1[loop_index]);
             fieldArray1[loop_index].focus();
			 return false;
		  }
		break
		case "minlength":
          if(fieldArray1[loop_index].value.length<"4"){
	         alert(alertArray1[loop_index]);
             fieldArray1[loop_index].focus();
			 return false ;
		  }
		break
        case "maxlength":
		  if(fieldArray1[loop_index].value.length>"12"){
	         alert(alertArray1[loop_index]);
             fieldArray1[loop_index].focus();
			 return false ;
		  }
		break
        case "password":
		  if(fieldArray1[loop_index].value!=document.form1.password1.value)
		  {
			alert(alertArray1[loop_index]);
			fieldArray1[loop_index].focus();
			return false;
		  }
		break
        case "specialchar":
		  strPassword = fieldArray1[loop_index].value;
		  for (pwIndex=0; pwIndex<strPassword.length; pwIndex++)
			{
			  cCheck = strPassword.charAt(pwIndex);
			  if ( cCheck==' ' || cCheck==':' || cCheck=='\'' || cCheck=='"' )
			  {
				alert(alertArray1[loop_index]);
				fieldArray1[loop_index].focus();
				return false;
			}
		   }
		break
        case "number":
		  for (pwIndex=0; pwIndex<fieldArray1[loop_index].value.length; pwIndex++)
          {
            cCheck = fieldArray1[loop_index].value.charAt(pwIndex);
            if ((('a'<=cCheck) && (cCheck<='z')) || (('A'<=cCheck) && (cCheck<='Z')))
            {
              alert(alertArray1[loop_index]);
              fieldArray1[loop_index].focus();
			  return false ;
            }
          }
		break
        case "email":
	      if ((fieldArray1[loop_index].value.indexOf("@") == -1) || (fieldArray1[loop_index].value.indexOf(".") == -1))
	      {
	          alert(alertArray1[loop_index]);
              fieldArray1[loop_index].focus();
			  return false ;
	      }
		  break
	    }
	}
	return true;
    }	

	//function Click()
	// {
    // alert('东方之星电子商务平台');
    // window.event.returnValue=false;
    // }
    //document.oncontextmenu=Click;